<app-main-nav></app-main-nav>
<mat-list role="list">
  <mat-list-item role="listitem">
  <span class="example-spacer"></span>
  <button mat-raised-button color="primary" matTooltip="add grad" (click)="openGradForm()">Add Grad</button>
  <button mat-raised-button color="primary" matTooltip="show trends" style="margin-left:1% ;" (click)="showTrends()">Show Trends</button>
  <button mat-raised-button color="primary" matTooltip="manage skills" style="margin-left:1% ;" (click)="manageSkills()">Manage Skills</button>
  </mat-list-item>
</mat-list>
<ag-grid-angular
    style="width: 100%; height: 50%;"
    class="ag-theme-material"
    [gridOptions]="gridOptions"
    [pagination]="true"
    [rowData]="rowData"
    [columnDefs]="columnDefs"
    [frameworkComponents]="frameworkComponents"
    >
</ag-grid-angular>
<!-- <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">
  
      
      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef> Email </th>
        <td mat-cell *matCellDef="let grad"> {{grad.email}} </td>
      </ng-container>
  
   
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let grad"> {{grad.firstName}}  {{grad.middleName }}  {{grad.lastName}} </td>
      </ng-container>
  
   
      <ng-container matColumnDef="gender">
        <th mat-header-cell *matHeaderCellDef> Gender </th>
        <td mat-cell *matCellDef="let grad"> {{grad.gender}} </td>
      </ng-container>
  
  
      <ng-container matColumnDef="contactNo">
        <th mat-header-cell *matHeaderCellDef> Contact No. </th>
        <td mat-cell *matCellDef="let grad"> {{grad.contactNo}} </td>
      </ng-container>
    
   
      <ng-container matColumnDef="instituteName">
        <th mat-header-cell *matHeaderCellDef> Institute Name </th>
        <td mat-cell *matCellDef="let grad"> {{grad.instituteName}} </td>
      </ng-container>
     
        <ng-container matColumnDef="joiningLocation">
          <th mat-header-cell *matHeaderCellDef> Joining Location </th>
          <td mat-cell *matCellDef="let grad"> {{grad.joiningLocation}} </td>
        </ng-container>
  
      <ng-container matColumnDef="joiningDate">
        <th mat-header-cell *matHeaderCellDef> Joining Date </th>
        <td mat-cell *matCellDef="let grad"> {{grad.joiningDate | date }} </td>
      </ng-container>
      <ng-container matColumnDef="showDetails">
        <th mat-header-cell *matHeaderCellDef> Show Details </th>
        <td mat-cell *matCellDef="let grad" style="cursor: pointer;" matTooltip="details of grad" (click)="showDetailsOfGrad(grad.id)"><mat-icon>info</mat-icon> </td>
      </ng-container>
      <ng-container matColumnDef="editDelete">
        <th mat-header-cell *matHeaderCellDef> </th>
        <td mat-cell *matCellDef="let grad">
          <mat-icon style="cursor: pointer;" matTooltip="edited history of grad" routerLink="/edited-history/{{grad.parentId}}">description</mat-icon>
          <mat-icon style="cursor: pointer;" matTooltip="edit grad" (click)="editGrad(grad.id)"> border_color</mat-icon> 
          <mat-icon style="cursor: pointer;" matTooltip="delete grad" (click)="deleteGrad(grad.id)">delete</mat-icon>
         </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
  </div> -->
